[SCM] Debian Live initramfs hook branch, master, updated. 1.154.7-1-1-gcfd1e0f

Daniel Baumann daniel at debian.org
Thu Jan 29 23:07:56 UTC 2009


The following commit has been merged in the master branch:
commit cfd1e0f451b726f3a89e53f7460ed45768274e06
Author: Kai Hendry <hendry at iki.fi>
Date:   Fri Jan 30 00:07:27 2009 +0100

    Adding basic xrandr support for lenny to enforce a particular resolution through bootparameter.

diff --git a/scripts/live-bottom/21xvidemode b/scripts/live-bottom/21xvidemode
index ead3a6c..489fc5c 100755
--- a/scripts/live-bottom/21xvidemode
+++ b/scripts/live-bottom/21xvidemode
@@ -30,6 +30,8 @@ then
 	exit 0
 fi
 
+[ -n "$XVIDEOMODE" ] || exit
+
 . /scripts/live-functions
 
 log_begin_msg "Configuring X video modes"
@@ -38,8 +40,15 @@ log_begin_msg "Configuring X video modes"
 
 . /live.vars
 
-if [ -n "$XVIDEOMODE" ]
+if [ $(cat /root/etc/debian_version | sed 's|\..*$||') -ge 4 ]
 then
+	# lenny or newer
+	if [ -x "$(which xrandr 2>/dev/null)" ]
+	then
+		echo "xrandr -s ${XVIDEOMODE} || /bin/true" >> /root/etc/X11/Xsession.d/21xvidemode
+	fi
+else
+	# etch
 	mount -o bind /sys /root/sys
 	mount -o bind /proc /root/proc
 	mount -o bind /dev /root/dev

-- 
Debian Live initramfs hook



More information about the debian-live-changes mailing list